package eu.jonahbauer.wizard.core;

import eu.jonahbauer.wizard.common.messages.observer.ObserverMessage;

import java.util.UUID;

public interface Observer {
    default void notify(ObserverMessage message) {
        notify(null, message);
    }
    void notify(UUID player, ObserverMessage message);
}
